[PATCH] osmo-pcu[master]: jenkins.sh: use osmo-build-dep.sh, output testlogs

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

Neels Hofmeyr gerrit-no-reply at lists.osmocom.org
Wed Oct 19 02:19:26 UTC 2016


Review at  https://gerrit.osmocom.org/1116

jenkins.sh: use osmo-build-dep.sh, output testlogs

Also make cosmetically similar to the other jenkins.sh scripts in various osmo
repositories.

Change-Id: I34c19ed7c80aa56bd131f738f37324aed1cd73db
---
M contrib/jenkins.sh
1 file changed, 16 insertions(+), 11 deletions(-)


  git pull ssh://gerrit.osmocom.org:29418/osmo-pcu refs/changes/16/1116/1

diff --git a/contrib/jenkins.sh b/contrib/jenkins.sh
index 7b456c2..fb0fb2f 100755
--- a/contrib/jenkins.sh
+++ b/contrib/jenkins.sh
@@ -10,9 +10,10 @@
 base="$PWD"
 deps="$base/deps"
 inst="$deps/install"
+export deps inst
 
+mkdir "$deps" || true
 rm -rf "$inst"
-mkdir -p "$deps"
 
 # Collect configure options for osmo-pcu
 PCU_CONFIG=""
@@ -30,6 +31,7 @@
   api_incl="$inst/include/sysmocom/femtobts/"
   mkdir -p "$api_incl"
   cp include/*.h "$api_incl"
+  cd "$base"
 
 elif [ -z "$with_dsp" -o "$with_dsp" = none ]; then
   echo "Direct DSP access disabled"
@@ -48,19 +50,22 @@
 fi
 
 # Build deps
-cd "$deps"
-osmo-deps.sh libosmocore
-cd libosmocore
-autoreconf --install --force
-./configure --prefix="$inst"
-$MAKE $PARALLEL_MAKE install
+osmo-build-dep.sh libosmocore
 
-export PKG_CONFIG_PATH="$inst/lib/pkgconfig"
+export PKG_CONFIG_PATH="$inst/lib/pkgconfig:$PKG_CONFIG_PATH"
 export LD_LIBRARY_PATH="$inst/lib"
 
-# Build osmo-pcu
-cd "$base"
+set +x
+echo
+echo
+echo
+echo " =============================== osmo-pcu ==============================="
+echo
+set -x
+
 autoreconf --install --force
 ./configure $PCU_CONFIG
 $MAKE $PARALLEL_MAKE
-DISTCHECK_CONFIGURE_FLAGS="$PCU_CONFIG" AM_DISTCHECK_CONFIGURE_FLAGS="$PCU_CONFIG" $MAKE distcheck
+DISTCHECK_CONFIGURE_FLAGS="$PCU_CONFIG" AM_DISTCHECK_CONFIGURE_FLAGS="$PCU_CONFIG" \
+  $MAKE distcheck \
+  || cat-testlogs.sh

-- 
To view, visit https://gerrit.osmocom.org/1116
To unsubscribe, visit https://gerrit.osmocom.org/settings

Gerrit-MessageType: newchange
Gerrit-Change-Id: I34c19ed7c80aa56bd131f738f37324aed1cd73db
Gerrit-PatchSet: 1
Gerrit-Project: osmo-pcu
Gerrit-Branch: master
Gerrit-Owner: Neels Hofmeyr <nhofmeyr at sysmocom.de>



More information about the gerrit-log mailing list